"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startWhistleDirect = exports.checkIfWhistleStarted = void 0;
const child_process_1 = require("child_process");
function checkIfWhistleStarted() {
    return new Promise((resolve, reject) => {
        child_process_1.exec('w2 status', function (error, stdout, stderr) {
            if (error) {
                return reject(error);
            }
            const matchResult = stdout.match(/127\.0\.0\.1:([0-9]+)\//i);
            if (matchResult && matchResult[1]) {
                resolve(matchResult[1]);
            }
            else {
                reject(stdout);
            }
        });
    });
}
exports.checkIfWhistleStarted = checkIfWhistleStarted;
function startWhistleDirect() {
    return new Promise((resolve, reject) => {
        child_process_1.exec('w2 start', function (error, stdout, stderr) {
            if (error) {
                return reject(error);
            }
            const matchResult = stdout.match(/127\.0\.0\.1:([0-9]+)\//i);
            if (matchResult && matchResult[1]) {
                resolve(matchResult[1]);
            }
            else {
                reject(stdout);
            }
        });
    });
}
exports.startWhistleDirect = startWhistleDirect;
